Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 690908 - sys-boot/grub-2.04-r1 should depend on sys-apps/ckbcomp
Summary: sys-boot/grub-2.04-r1 should depend on sys-apps/ckbcomp
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mike Gilbert
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-28 12:05 UTC by Andrew Savchenko
Modified: 2019-07-28 16:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info sys-boot/grub (emerge.info,13.49 KB, text/plain)
2019-07-28 12:05 UTC, Andrew Savchenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Savchenko gentoo-dev 2019-07-28 12:05:11 UTC
Created attachment 584908 [details]
emerge --info sys-boot/grub

Hi!

grub-kbdcomp tool requires ckbcomp in order to work:
  ckbcomp $ckbcomp_options | "$grub_mklayout" -o "${output}"
Please add sys-apps/ckbcomp to the RDEPEND.

Maybe other grub scripts need additional external tools as well. If such grub scripts can be considered optional, it may be reasonable to put them and their deps under USE="tools".
Comment 1 Mike Gilbert gentoo-dev 2019-07-28 16:20:24 UTC
sys-apps/ckbcomp only has KEYWORDS="~amd64", and has no active Gentoo maintainer, which makes this request difficult to fulfill. This seems like a function very few people will utilize anyway, so I don't think it warrants an unconditional RDEPEND entry.

I would accept a patch to document this dependency via readme.gentoo-r1.eclass.